# High_Res_Timer.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Basic_Types.h"`
`#include "ace/OS_NS_time.h"`
`#include "ace/Time_Value.h"`
`#include "ace/High_Res_Timer.inl"`

Include dependency graph for High_Res_Timer.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_High_Res_Timer
| A high resolution timer class wrapper that encapsulates OS-specific high-resolution timers, such as those found on Solaris, AIX, Win32/Pentium, and VxWorks. More...

## Defines

#define | ACE_HR_SCALE_CONVERSION (ACE_ONE_SECOND_IN_MSECS)

## Detailed Description

Id
  High_Res_Timer.h,v 4.65 2006/01/25 19:50:07 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_HR_SCALE_CONVERSION (ACE_ONE_SECOND_IN_MSECS)